Bug 810539 - wireless disconnects, sets wrong regulatory domain
wireless disconnects, sets wrong regulatory domain
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-06 11:12 EDT by Joel Uckelman
Modified: 2013-02-13 11:06 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 11:06:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joel Uckelman 2012-04-06 11:12:32 EDT
Description of problem:

Quoted from Bug 805285, where I was told to file this separately:

I've noticed that with iwlwifi.wd_disable=1 using kernels 3.3.0-4.fc16.x86_64
and 3.3.0-8.fc16.x86_64, I get a different kind of disconnection problem,
sometimes very frequently, sometimes not. dmesg says:

[14010.316211] wlan1: moving STA c0:25:06:55:ae:fe to state 2
[14010.316216] wlan1: moving STA c0:25:06:55:ae:fe to state 1
[14010.316218] wlan1: moving STA c0:25:06:55:ae:fe to state 0
[14010.321076] cfg80211: Calling CRDA to update world regulatory domain
[14010.326180] cfg80211: World regulatory domain updated:
[14010.326182] cfg80211:   (start_freq - end_freq @ bandwidth),
(max_antenna_gain, max_eirp)
[14010.326184] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi,
2000 mBm)
[14010.326186] cfg80211:   (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi,
2000 mBm)
[14010.326187] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi,
2000 mBm)
[14010.326188] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi,
2000 mBm)
[14010.326189] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi,
2000 mBm)
[14010.326268] cfg80211: Calling CRDA for country: NL
[14010.328312] cfg80211: Regulatory domain changed to country: NL
[14010.328314] cfg80211:   (start_freq - end_freq @ bandwidth),
(max_antenna_gain, max_eirp)
[14010.328315] cfg80211:   (2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000
mBm)
[14010.328317] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (N/A, 2000
mBm)
[14010.328318] cfg80211:   (5250000 KHz - 5330000 KHz @ 40000 KHz), (N/A, 2000
mBm)
[14010.328319] cfg80211:   (5490000 KHz - 5710000 KHz @ 40000 KHz), (N/A, 2700
mBm)
[14013.049941] wlan1: authenticate with c0:25:06:55:ae:fe (try 1)
[14013.052735] wlan1: authenticated
[14013.053929] wlan1: associate with c0:25:06:55:ae:fe (try 1)
[14013.057633] wlan1: RX ReassocResp from c0:25:06:55:ae:fe (capab=0x431
status=0 aid=2)
[14013.057636] wlan1: associated
[14013.057637] wlan1: moving STA c0:25:06:55:ae:fe to state 1
[14013.057639] wlan1: moving STA c0:25:06:55:ae:fe to state 2
[14013.057640] wlan1: No basic rates in AssocResp. Using min supported rate
instead.
[14013.070693] cfg80211: Calling CRDA for country: DE
[14013.072798] cfg80211: Regulatory domain changed to country: DE
[14013.072800] cfg80211:   (start_freq - end_freq @ bandwidth),
(max_antenna_gain, max_eirp)
[14013.072802] cfg80211:   (2400000 KHz - 2483500 KHz @ 40000 KHz), (N/A, 2000
mBm)
[14013.072804] cfg80211:   (5150000 KHz - 5250000 KHz @ 40000 KHz), (N/A, 2000
mBm)
[14013.072806] cfg80211:   (5250000 KHz - 5350000 KHz @ 40000 KHz), (N/A, 2000
mBm)
[14013.072808] cfg80211:   (5470000 KHz - 5725000 KHz @ 40000 KHz), (N/A, 2698
mBm)
[14013.081154] wlan1: moving STA c0:25:06:55:ae:fe to state 3

Is the fact that it's setting the regulatory domain to DE unusual since I'm in
NL?


Version-Release number of selected component (if applicable):

kernel-3.3.0-8.fc16.x86_64


How reproducible:

Intermittently.

Steps to Reproduce:
1. Use the wifi for a while.

Actual results:

The wifi connection stops working, though it still shows up as connected in NetworkManager.

Expected results:

The wifi connection should continue working.


Additional info:

My laptop is a Thinkpad W520.

% lspci | grep Centrino
03:00.0 Network controller: Intel Corporation Centrino Ultimate-N 6300 (rev 3e)
Comment 1 Dave Jones 2012-10-23 11:36:54 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 2 Joel Uckelman 2012-10-30 11:36:23 EDT
I've not had this happen with 3.6.2-4.
Comment 3 Fedora End Of Life 2013-01-16 09:51:31 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 11:06:53 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.